summaryrefslogtreecommitdiffstats
path: root/openwrt/package/php4/files/php.init
diff options
context:
space:
mode:
authornico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-04 17:03:18 +0000
committernico <nico@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-07-04 17:03:18 +0000
commit8d6baf0057572fba7f20c4824918fcbebc86edc5 (patch)
tree001af1f942deb147234a69c37d20c529c594842a /openwrt/package/php4/files/php.init
parent01e28344295faff460371b1c08f665ddd07f3311 (diff)
Add php4 package (Thanks aorlinsk and enzo for the help)
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@1334 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'openwrt/package/php4/files/php.init')
-rw-r--r--openwrt/package/php4/files/php.init19
1 files changed, 19 insertions, 0 deletions
diff --git a/openwrt/package/php4/files/php.init b/openwrt/package/php4/files/php.init
new file mode 100644
index 000000000..b29387bd7
--- /dev/null
+++ b/openwrt/package/php4/files/php.init
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+export PHP_FCGI_CHILDREN=''
+PORT=1026
+BIN=/usr/sbin/php
+
+case $1 in
+ start)
+ $BIN -b $PORT &
+ ;;
+ stop)
+ kill `pidof php`
+ ;;
+ *)
+ echo "usage: $0 (start|stop)"
+ exit 1
+esac
+
+exit $?